function initJmd(form, remote) {
	initDatePicker(form);
	initTypenJmd(form);
}

function initTypenJmd(form) {
	typenChangedJmd(form);
	$(form + ' input[name^="typ"]').on('click', function () {
		typenChangedJmd(form);
	});
}

function typenChangedJmd(form) {
	var jmd = false;
	$(form + ' input[name^="typ"]').each(function () {
		if ($(this).val() == 'JMD' && $(this).is(':checked')) {
			jmd = true;
		}
	});
	toggleJmd(form, jmd);
}

function toggleJmd(form, active) {
	if (!active) {
		$(form + ' input[name^="plz"]').val('').attr('disabled', true);
		$(form + ' input[name^="l"]').attr('checked', false).attr('disabled', true);
		$(form + ' input[name^="wettbewerbsart"]').attr('checked', false).attr('disabled', true);
		$(form + ' .landesverbaende').addClass('disabled');
		$(form + ' .wettbewerbsarten').addClass('disabled');
	}
	else {
		$(form + ' input[name^="plz"]').attr('disabled', false);
		$(form + ' input[name^="l"]').attr('disabled', false);
		$(form + ' input[name^="wettbewerbsart"]').attr('disabled', false);
		$(form + ' .landesverbaende').removeClass('disabled');
		$(form + ' .wettbewerbsarten').removeClass('disabled');
	}
}
